# aoe2-data

## Jupyter notebook in docker:
There are different images to choose from: https://jupyter-docker-stacks.readthedocs.io/en/latest/using/selecting.html

docker run -it -p 8888:8888 jupyter/scipy-notebook:2023-03-27

Works only on WSL because of mounted host volume
run detached:
```bash
docker run --name jupyter -d --rm \
    -p 8888:8888 \
    --user root \
    -e NB_USER="marcelo" \
    -e CHOWN_HOME=yes \
    -w "/home/marcelo" \
    -v /mnt/c/Users/dechert/git/aoe2-data/jupyter/src:/home/marcelo/src \
    jupyter/scipy-notebook:2023-03-27
```

    -v /mnt/c/Users/dechert/git/aoe2-data/jupyter/:/home/marcelo/ \
`docker logs -f jupyter` to see the url with secret

configuration:
https://jupyter-docker-stacks.readthedocs.io/en/latest/using/common.html

How to install new packages:
https://jupyter-docker-stacks.readthedocs.io/en/latest/using/common.html#conda-environments


run inside container:
pip install liquipediapy

docker exec -it jupyter bash

docker cp jupyter:/home/marcelo/AoE-data.ipynb .
